main > .section-cover-mobile {
  display: none;
}

main > .section-cover-desktop {
  display: flex;
  justify-content: space-between;
}

main > .section-cover-desktop > .cover-content {
  flex: 1;
}

main > .section-cover-desktop > .cover-content > .cover-header {
  display: flex;
  flex-direction: column;
  gap: 30px;
  width: 100%;
  max-width: 524px;
  margin-top: 232px;
}

main > .section-cover-desktop > .cover-content > .cover-header h1 {
  color: #000;
  font-size: 55px;
  font-style: normal;
  font-weight: 700;
  line-height: 102.9%;
}

main > .section-cover-desktop > .cover-content > .cover-header p {
  color: #000;
  font-size: 18px;
  font-weight: 400;
  line-height: 135.4%;
  letter-spacing: 0.09px;
  margin-bottom: 65px;
  max-width: 467px;
}

main > .section-cover-desktop > .cover-content > .cover-header strong {
  color: #d91f1f;
}

main > .section-cover-desktop > .cover-content .see-more-button {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  color: #fff;
  background-color: var(--primary-color);
  height: 53px;
  width: 201px;
  border-radius: 10px;
  font-weight: 700;
  margin-bottom: 48px;
}

main > .section-cover-desktop > .cover-content .see-more-button:hover {
  background-color: var(--hover-color);
}

main > .section-cover-desktop > .cover-content .input-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-radius: 12px;
  border: 2px solid rgba(0, 0, 0, 0.1);
  background: rgba(255, 255, 255, 0.64);
  height: 63px;
  width: 100%;
  max-width: 440px;
  padding: 0 10px;
  margin-bottom: 52px;
}

main > .section-cover-desktop > .cover-content .input-container input {
  width: 100%;
  padding: 15px 20px;
  font-size: 15px;
}

main
  > .section-cover-desktop
  > .cover-content
  .input-container
  input::placeholder {
  color: rgba(0, 0, 0, 0.35);
  font-family: Montserrat;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

main > .section-cover-desktop > .cover-content .input-container input::after {
  content: "";
  height: 42px;
  border-right: 1px solid black;
}

main > .section-cover-desktop > .cover-content .input-container .search-button,
.filter-button {
  cursor: pointer;
  width: 25px;
  height: 28px;
}

main .social-media-container {
  display: inline-flex;
  align-items: flex-start;
  gap: 29px;
}

main .cover-images {
  position: relative;
  width: 700px;
  height: 800px;
  flex: 1;
}

main .cover-images .cover-salad {
  position: absolute;
  top: 80px;
  right: -60px;
  max-width: 636px;
  width: 100%;
  z-index: 999;
}

main .cover-images .ellipse1 {
  position: absolute;
  top: 25px;
  left: 10px;
  z-index: 998;
  width: 747px;
  height: 747px;
}

main .cover-images .ellipse2 {
  position: absolute;
  top: -70px;
  left: -70px;
  z-index: 998;
}
main .cover-images .ellipse3 {
  position: absolute;
  top: -150px;
  left: -200px;
  z-index: 1;
}

main .cover-images .background-tomato {
  position: absolute;
  top: -20px;
  right: -90px;
}

main .cover-images .background-rosemary {
  position: absolute;
  top: 0;
  left: -280px;
}

main .cover-images .background-lettuce {
  position: absolute;
  bottom: 20px;
  right: -110px;
  width: 123px;
  rotate: -73deg;
  filter: blur(2px);
}

main .cover-images .dishes-select-container {
  position: absolute;
  bottom: 0px;
  width: 300px;
  height: 400px;
}

main .cover-images .dishes-select-container li {
  position: relative;
  cursor: pointer;
}

main .cover-images .dishes-select-container .salad-option {
  position: absolute;
  top: 100px;
  left: -90px;
  z-index: 999;
}

main .cover-images .dishes-select-container .pizza-option {
  position: absolute;
  top: 260px;
  z-index: 999;
}

main .cover-images .dishes-select-container .burger-option {
  position: absolute;
  bottom: -60px;
  right: 50px;
  z-index: 999;
}

main .cover-images .dishes-select-container .circle-border {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
  width: 110%;
}

main .active-point {
  position: inherit;
  top: -10px;
  right: -10px;
  width: 40px;
}

@media (min-width: 1024px) and (max-width: 1280px) {
  main > .section-cover-mobile {
    display: none;
  }

  main > .section-cover-desktop {
    padding: 0 30px;
  }

  main > .section-cover-desktop > .cover-content > .cover-header {
    max-width: 450px;
    margin-top: 150px;
  }

  main > .section-cover-desktop > .cover-content > .cover-header h1 {
    font-size: 48px;
  }

  main > .section-cover-desktop > .cover-content > .cover-header p {
    max-width: 450px;
  }

  main > .section-cover-desktop > .cover-content .input-container {
    max-width: 350px;
  }

  main .cover-images {
    position: relative;
    width: 700px;
    height: 800px;
    flex: 1;
  }

  main .cover-images .dishes-select-container .circle-border {
    width: 100%;
  }

  main .cover-images .cover-salad {
    top: 150px;
    right: 0px;
    max-width: 400px;
  }

  main .cover-images .ellipse1 {
    top: 100px;
    left: 150px;
    z-index: 998;
    width: 500px;
    height: 500px;
  }

  main .cover-images .ellipse2 {
    top: 25px;
    left: 25px;
    width: 650px;
    height: 650px;
  }
  main .cover-images .ellipse3 {
    top: -70px;
    left: -150px;
    width: 900px;
    height: 900px;
  }

  main .cover-images .background-tomato {
    top: -20px;
    right: -90px;
  }

  main .cover-images .background-rosemary {
    top: 0;
    left: -150px;
  }

  main .cover-images .background-lettuce {
    bottom: 200px;
    right: -100px;
    width: 100px;
  }

  main .cover-images .dishes-select-container {
    bottom: 100px;
  }

  main .cover-images .dishes-select-container li {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80px;
    height: 80px;
  }

  main .cover-images .dishes-select-container .salad-option {
    top: 130px;
    left: -30px;
  }

  main .cover-images .dishes-select-container .pizza-option {
    top: 220px;
    left: 60px;
  }

  main .cover-images .dishes-select-container .burger-option {
    bottom: 50px;
    right: 50px;
  }

  main .active-point {
    top: 0px;
    right: 0px;
    width: 30px;
  }

  main .option-img {
    width: 70px;
    height: 70px;
  }
}

@media (min-width: 769px) and (max-width: 1024px) {
  main > .section-cover-mobile {
    display: block;
    padding: 0 30px;
  }
  main > .section-cover-desktop {
    display: none;
  }

  main > .section-cover-mobile > h1 {
    text-align: center;
    width: 400px;
    margin: auto;
    color: #000;
    font-size: 40px;
    font-weight: 700;
    line-height: 102.9%;
    padding-top: 50px;
  }

  main > .section-cover-mobile > h1 > strong {
    color: #d91f1f;
  }

  main .cover-images {
    position: relative;
    width: 100%;
    height: 600px;
  }

  main .cover-images .cover-salad {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 500px;
  }

  main .cover-images .ellipse1 {
    top: 100px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 998;
    width: 500px;
    height: 500px;
  }

  main .cover-images .ellipse2 {
    top: 25px;
    left: 50%;
    transform: translateX(-50%);
    width: 650px;
    height: 650px;
  }

  main .cover-images .background-tomato {
    top: 100px;
    right: 100px;
    width: 100px;
    opacity: 0.6;
  }

  main .cover-images .background-rosemary {
    top: 100px;
    left: 20px;
    width: 100px;
    opacity: 0.6;
  }

  main .cover-images .background-lettuce {
    bottom: 100px;
    right: 50px;
    width: 60px;
    opacity: 0.6;
  }

  main .cover-images .dishes-select-container {
    position: absolute;
    width: 300px;
    height: 200px;
    bottom: -100px;
    left: 50%;
    transform: translateX(-50%);
  }

  main .cover-images .dishes-select-container li {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80px;
    height: 80px;
  }

  main .cover-images .dishes-select-container .circle-border {
    width: 100%;
  }

  main .cover-images .dishes-select-container .salad-option {
    top: 30px;
    left: -50px;
  }

  main .cover-images .dishes-select-container .pizza-option {
    top: 50%;
    left: 50%;
    transform: translateX(-50%);
  }

  main .cover-images .dishes-select-container .burger-option {
    top: 30px;
    right: -50px;
  }

  main .active-point {
    top: 0px;
    right: 0px;
    width: 30px;
  }

  main .option-img {
    width: 70px;
    height: 70px;
  }

  main > .section-cover-mobile .see-more-button {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    color: #fff;
    background-color: var(--primary-color);
    width: 252px;
    height: 50px;
    border-radius: 10px;
    font-weight: 700;
    margin: 150px auto 0px;
  }

  main > .section-cover-mobile .social-media-container {
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
}

@media (max-width: 769px) {
  main > .section-cover-mobile {
    display: block;
    padding: 0 20px;
  }
  main > .section-cover-desktop {
    display: none;
  }

  main > .section-cover-mobile > h1 {
    text-align: center;
    color: #000;
    font-size: 22px;
    font-style: normal;
    font-weight: 500;
    line-height: 111.9%;
    width: 300px;
    margin: 19px auto 0 auto;
  }

  main > .section-cover-mobile > h1 > strong {
    color: #d91f1f;
    font-size: 30px;
    font-weight: 700;
    line-height: 111.9%;
  }

  main .cover-images {
    position: relative;
    width: 100%;
    height: 250px;
  }

  main .cover-images .cover-salad {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 192px;
  }

  main .cover-images .ellipse1 {
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 998;
    width: 245px;
    height: 245px;
  }

  main .cover-images .ellipse2 {
    top: -80px;
    left: 50%;
    transform: translateX(-50%);
    width: 409px;
    height: 409px;
  }

  main .cover-images .background-tomato {
    top: 0px;
    right: 50px;
    width: 68px;
    opacity: 0.6;
  }

  main .cover-images .background-rosemary {
    top: -30px;
    left: -30px;
    width: 60px;
    opacity: 0.6;
  }

  main .cover-images .background-lettuce {
    bottom: -50px;
    right: -20px;
    width: 40px;
    opacity: 0.6;
  }

  main .cover-images .dishes-select-container {
    position: absolute;
    width: 250px;
    height: 150px;
    bottom: -80px;
    left: 50%;
    transform: translateX(-50%);
  }

  main .cover-images .dishes-select-container li {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 47px;
    height: 47px;
  }

  main .cover-images .dishes-select-container .salad-option {
    top: 30px;
    left: 0px;
  }

  main .cover-images .dishes-select-container .pizza-option {
    top: 50%;
    left: 50%;
    transform: translateX(-50%);
  }

  main .cover-images .dishes-select-container .burger-option {
    top: 30px;
    right: 0px;
  }

  main .active-point {
    top: 0px;
    right: 5px;
    width: 10.359px;
    height: 10.359px;
    flex-shrink: 0;
  }

  main .option-img {
    width: 42px;
    height: 42px;
  }

  main > .section-cover-mobile .see-more-button {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    color: #fff;
    background-color: var(--primary-color);
    width: 252px;
    height: 33.72px;
    border-radius: 10px;
    font-weight: 700;
    margin: 90px auto 0px;
    font-size: 10px;
  }

  main > .section-cover-mobile .see-more-button > img {
    width: 7px;
  }

  main > .section-cover-mobile .social-media-container {
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  main > .section-cover-mobile .social-media-container a > img {
    width: 15px;
    height: 15px;
    opacity: 0.6;
  }
}
